execute if entity @s[scores={creeper_click=1..},predicate=creeper_cannon:mainhand] unless score @s creeper_cooldown matches 1.. run function creeper_cannon:raycast
execute if entity @s[scores={creeper_click=1..},predicate=creeper_cannon:offhand] unless score @s creeper_cooldown matches 1.. run function creeper_cannon:raycast

execute as @e[tag=creeper_cast] at @s if block ^ ^ ^0.8 #passable run tp ^ ^ ^0.8

#creeper
execute as @e[tag=creeper_tp] at @s if block ^ ^ ^0.8 #passable run tp ^ ^ ^0.8
execute as @e[tag=creeper_tp] unless entity @e[tag=creeper_cast,distance=..25,limit=1] run kill @s
execute as @e[tag=creeper_tp] at @s if block ~ ~ ~ #passable run tp @e[tag=creeper_bullet,limit=1,sort=nearest] @s

execute as @e[tag=creeper_bullet] at @s if block ^ ^ ^0.8 #passable run tp ^ ^ ^0.8
execute as @e[tag=creeper_bullet] at @s if entity @e[type=!player,type=!area_effect_cloud,type=!item,type=!armor_stand,type=!block_display,type=!interaction,tag=!creeper_bullet,distance=..2,limit=1] run summon creeper ~ ~ ~ {Fuse:0,ignited:1b}
execute as @e[tag=creeper_bullet] at @s run particle smoke ~ ~ ~ 0 0 0 0 9 normal

#reload sound
execute if entity @s[scores={creeper_cooldown=20..},predicate=creeper_cannon:mainhand_empty] at @s run playsound block.note_block.xylophone player @s ~ ~ ~ 1
execute if entity @s[scores={creeper_cooldown=20..},predicate=creeper_cannon:offhand_empty] at @s run playsound block.note_block.xylophone player @s ~ ~ ~ 1

#cooldown
execute at @s[scores={creeper_cooldown=20..},predicate=creeper_cannon:mainhand_empty] run item replace entity @s weapon.mainhand with warped_fungus_on_a_stick[item_name='{"bold":true,"color":"green","italic":false,"text":"Creeper Cannon"}',unbreakable={show_in_tooltip:false},custom_model_data=1238,custom_data={creeper_cannon:1b}] 1

execute at @s[scores={creeper_cooldown=20..},predicate=creeper_cannon:mainhand] run scoreboard players reset @s creeper_cooldown
execute at @s[scores={creeper_cooldown=20..},predicate=creeper_cannon:offhand_empty] run item replace entity @s weapon.offhand with warped_fungus_on_a_stick[item_name='{"bold":true,"color":"green","italic":false,"text":"Creeper Cannon"}',unbreakable={show_in_tooltip:false},custom_model_data=1238,custom_data={creeper_cannon:1b}] 1

execute at @s[scores={creeper_cooldown=20..},predicate=creeper_cannon:offhand] run scoreboard players reset @s creeper_cooldown
execute if entity @s[scores={creeper_cooldown=1..},predicate=creeper_cannon:mainhand_empty] run scoreboard players add @s creeper_cooldown 1
execute if entity @s[scores={creeper_cooldown=1..},predicate=creeper_cannon:offhand_empty] run scoreboard players add @s creeper_cooldown 1

#new player
execute unless entity @s[scores={new_player=1..}] run give @s creeper_spawn_egg
execute unless entity @s[scores={new_player=1..}] run scoreboard players add @s new_player 1